Loading...
Searching...
No Matches
RunArrays.h File Reference

C++ API: base class for building classes which represent data that is associated with runs of text. More...

`#include "layout/LETypes.h"`
`#include "layout/LEFontInstance.h"`
`#include "unicode/utypes.h"`
`#include "unicode/locid.h"`

Go to the source code of this file.

## Data Structures

class | icu::RunArray
| The `RunArray` class is a base class for building classes which represent data that is associated with runs of text. More...
class | icu::FontRuns
| The `FontRuns` class associates pointers to `LEFontInstance` objects with runs of text. More...
class | icu::LocaleRuns
| The `LocaleRuns` class associates pointers to `Locale` objects with runs of text. More...
class | icu::ValueRuns
| The `ValueRuns` class associates integer values with runs of text. More...

## Namespaces

namespace | icu
| File coll.h.

## Macros

#define | INITIAL_CAPACITY 16
| The initial size of an array if it is unspecified.
#define | CAPACITY_GROW_LIMIT 128
| When an array needs to grow, it will double in size until it becomes this large, then it will grow by this amount.

## Detailed Description

C++ API: base class for building classes which represent data that is associated with runs of text.

Definition in file RunArrays.h.

## Macro Definition Documentation

## CAPACITY_GROW_LIMIT

#define CAPACITY_GROW_LIMIT 128

When an array needs to grow, it will double in size until it becomes this large, then it will grow by this amount.

Stable
  ICU 3.2

Definition at line 40 of file RunArrays.h.

## INITIAL_CAPACITY

#define INITIAL_CAPACITY 16

The initial size of an array if it is unspecified.

Stable
  ICU 3.2

Definition at line 32 of file RunArrays.h.